Subject: [rbridge] Use of 802.1ah Encaps

From: sajassi at cisco.com (Ali Sajassi (sajassi))
Date: Sun, 10 Dec 2006 15:24:48 -0800

Hi Silvano,

> > 
> > > 3) Many unneeded fields and therefore larger frame overhead.
> > >
> > 
> > Such as ?
> 
> The I-tag is not useful in TRILL and in contrast two 
> addresses and the TTL are missing.

I-tag my not be useful in data-center applications but it is useful in
large Enterprise applications.  I acknowledge that TTL is missing but if
needed we (at IEEE) can try to accommodate it. And by two addresses, if
you mean next hop addresses, then those can be inferred by B-MAC
addresses (and possibly B-VLAN if needed) in .1ah encap.

-Ali 

> 
> > 
> > > The advantages are:
> > > 1) Larger addressable market for TRILL
> > >
> > > IMO if we stick with the WG charter the disadvantages clearly 
> > > outweigh the advantages.
> > >
> > > The WG can be re-chartered, but if we consider the Enterprise and 
> > > Data Center market, IEEE 802.1ah is an overkill.
> > >
> > 
> > If by overkill you mean a bit bigger header, then I agree 
> but look at 
> > all the other advantages that you get from using standard 
> IEEE header 
> > and shim including:
> > 	- security Mgmt:  MACSec/KeySec
> > 	- Congestion Mgmt
> > 	- Connectivity Fault Mgmt
> > 
> > Has it been considered how these are going to work with TRILL shim 
> > header or are these outside of WG charter :-)
> > 
> > -Ali
> > 
> > 
> > > -- Silvano
> > >
> > >
> > > > -----Original Message-----
> > > > From: rbridge-bounces at postel.org
> [mailto:rbridge-bounces at postel.org]
> > > On
> > > > Behalf Of Don Fedyk
> > > > Sent: Thursday, December 07, 2006 9:21 AM
> > > > To: Gray, Eric; Ali Sajassi (sajassi)
> > > > Cc: Developing a hybrid router/bridge.; Joe Touch
> > > > Subject: Re: [rbridge] Use of 802.1ah Encaps
> > > >
> > > > Hi Eric
> > > >
> > > > > -----Original Message-----
> > > > > From: Gray, Eric [mailto:Eric.Gray at marconi.com]
> > > > >
> > > > > Don,
> > > > >
> > > > > 	And yet, someone (Ali Sajassi) asserted (in his message
> > > dated Wed
> > > > > 12/6/2006 at 2:16 PM EST) that there were no issues or
> additional
> > > > > complications with using 802.1ah in enterprises for
> plug-and-play
> > > > > applicability.
> > > > >
> > > > > 	Perhaps Ali can answer my question then.
> > > > >
> > > > > 	But, to more directly address your earlier comments:
> > > > >
> > > > > 	The TRILL WG has NOT come up with an encapsulation that
> "looks
> > > > > like" 802.1ah - unless someone squints really hard 
> and tries to 
> > > > > pretend that two separate Ethernet encapsulations -
> > > separated by a
> > > > > SHIM header - are one single encapsulation.
> > > >
> > > > To be fair Point to Point header that was discussed without
> > > one of the
> > > > shims was very close "functionally" (colloquial looks like) to
> > > 802.1ah.
> > > > My opinion is still we don't need several variations of
> > > headers doing
> > > > similar things.
> > > >
> > > > This was the slide that looked a lot like what I posted.
> > > >
> > > > http://www3.ietf.org/proceedings/06nov/slides/trill-1/sld13.htm
> > > >
> > > > Regards,
> > > > Don
> > > > >
> > > > > 	That is not to say that the WG has done anything that
> > > could be said
> > > > > to disallow the use of 802.1ah encapsulation.
> > > > > It is just not obviously consistent with all of the WG
> > > goals to use
> > > > > _only_ 802.1ah encapsulation.
> > > > >
> > > > > --
> > > > > Eric
> > > > >
> > > >
> > > > _______________________________________________
> > > > rbridge mailing list
> > > > rbridge at postel.org
> > > > http://mailman.postel.org/mailman/listinfo/rbridge
> > >
>